import os
from flask import Flask, redirect, request, render_template, jsonify
from static import Coworking_Functions

app = Flask(__name__)

ALLOWED_EXTENSIONS = set(['txt', 'pdf', 'png', 'jpg', 'jpeg', 'gif'])

@app.route("/AddRecord", methods=['POST'])
def addRecord():

    print('Processing record.')
    infoMessage = ('Add record failed.')

    if (request.method == 'POST'):
        
        recordData = Coworking_Functions.getCoworkingSpaces()
        Coworking_Functions.addCoworkingSpaces(recordData)
        infoMessage = (f'{recordData} Record added.')

    print(infoMessage)
    return (infoMessage)

if __name__ == "__main__":
    app.run(debug=True)
